# Description:
#   Control Hyper from hubot
#
# Dependencies:
#   None
#
# Configuration:
#   None
#
# Commands:
#   hubot hyper ps
#   hubot hyper restart <container name>
#
# Author:
#   Jimmy Xu <xjimmyshcn@gmail.com>
#

module.exports = (robot) ->
  run_cmd = (cmd, args, cb ) ->
    console.log "[hubot-hyper] adapter:", robot.adapterName
    prefix = ""
    suffix = ""
    if robot.adapterName == "slack"
      prefix = "```\n"
      suffix = "\n```"
    console.log "[hubot-hyper] spawn:", cmd, args
    spawn = require("child_process").spawn
    child = spawn(cmd, args)
    child.stdout.on "data", (buffer) -> cb prefix + buffer.toString() + suffix
    child.stderr.on "data", (buffer) -> cb prefix + buffer.toString() + suffix
    #child.stdout.on "end", -> cb resp

  robot.respond /^hyper (.*)/, (msg) ->
    run_cmd 'hyper', msg.match[1].split(" "), (text) -> msg.send text
